> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/tools-terraform/docs/data-sources/dbaas_pgsql_databases.md).

# ionoscloud\_pg\_databases

Get information on DBaaS PgSql Databases.

The **PgSql Databases data source** can be used to search for and return multiple existing PgSql databases.

## Example Usage

### All databases from a specific cluster

```hcl
data "ionoscloud_pg_databases" "example" {
   cluster_id = "cluster_id"
}
```

### Filter by owner

```hcl
data "ionoscloud_pg_databases" "example" {
   cluster_id = "cluster_id"
   owner = "owner"
}
```

## Argument Reference

* `cluster_id` - (Required)\[string] The ID of the cluster.
* `owner` - (Optional)\[string] Filter using a specific owner.

## Attributes Reference

The following attributes are returned by the datasource:

* `databases` - \[list] A list that contains either all databases, either some of them (filter by owner). A database from list has the following format:
  * `name` - \[string] The name of the database.
  * `owner` - \[string] The owner of the database.
  * `id` - \[string] The ID of the database.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/tools-terraform/docs/data-sources/dbaas_pgsql_databases.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
